UbixOS V2 2.0

Data Structures | Macros | Typedefs
sys_arch.h File Reference
`#include <ubixos/ubthread.h>`
`#include <ubixos/sem.h>`
Include dependency graph for sys_arch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | sys_mbox
struct | sys_mutex
struct | sys_thread
struct | sys_timeouts

## Macros
#define | SYS_MBOX_NULL NULL
#define | SYS_MBOX_SIZE 100
#define | SYS_SEM_NULL NULL

## Typedefs
typedef struct sys_mbox | sys_mbox_t
typedef struct sys_mutex | sys_mutex_t
typedef struct sys_thread * | sys_thread_t

## Macro Definition Documentation

## ◆ SYS_MBOX_NULL

#define SYS_MBOX_NULL NULL

Definition at line 7 of file sys_arch.h.

## ◆ SYS_MBOX_SIZE

#define SYS_MBOX_SIZE 100

Definition at line 9 of file sys_arch.h.

## ◆ SYS_SEM_NULL

#define SYS_SEM_NULL NULL

Definition at line 8 of file sys_arch.h.

## Typedef Documentation

## ◆ sys_mbox_t

typedef struct sys_mbox sys_mbox_t

Definition at line 41 of file sys_arch.h.

## ◆ sys_mutex_t

typedef struct sys_mutex sys_mutex_t

Definition at line 20 of file sys_arch.h.

## ◆ sys_thread_t

typedef struct sys_thread* sys_thread_t

Definition at line 50 of file sys_arch.h.